Bug 506130 - Python Qpid libraries broken for Fedora 11 / Python 2.6
Python Qpid libraries broken for Fedora 11 / Python 2.6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-qpid (Show other bugs)
11
All Linux
high Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 13:10 EDT by Silas Sewell
Modified: 2014-12-01 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Silas Sewell 2009-06-15 13:10:23 EDT
Description of problem:

qpid/connection.py tries to use socket.SSLType which is no longer valid in Python 2.6.

 57 def sslwrap(sock):
 58   if isinstance(sock, socket.SSLType):
 59     return SSLWrapper(sock)
 60   else:
 61     return sock

Version-Release number of selected component (if applicable):

Version     : 0.5.752600
Release     : 1.fc11

How reproducible:

Always.

Steps to Reproduce:

Follow instructions at http://www.silassewell.com/blog/2009/03/29/getting-started-with-amqp-qpid-python-fedora/
  
Actual results:

[silas@silas python]$ python producer.py 
/usr/lib/python2.6/site-packages/qpid/message.py:20: DeprecationWarning: the sets module is deprecated
  from sets import Set
Traceback (most recent call last):
  File "producer.py", line 7, in <module>
    connection = Connection(sock=socket, username='guest', password='guest')
  File "/usr/lib/python2.6/site-packages/qpid/connection.py", line 66, in __init__
    Assembler.__init__(self, sslwrap(sock))
  File "/usr/lib/python2.6/site-packages/qpid/connection.py", line 58, in sslwrap
    if isinstance(sock, socket.SSLType):
AttributeError: 'module' object has no attribute 'SSLType'

Expected results:

No output.

Additional info:

https://bugzilla.redhat.com/show_bug.cgi?id=500470
Comment 1 Gordon Sim 2009-08-10 03:00:29 EDT
Believed fixed in qpid by http://svn.apache.org/viewvc?rev=774100&view=rev
Comment 2 Bug Zapper 2010-04-27 10:57:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:02:16 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.